import tornado.web
import tornado.ioloop
import tornado.options
import tornado.httpserver

from tornado.options import options, define
from config import options, configs

from urls import urls

define('port', type=int, default=9000, help="RUN_PORT")


class CustomApplication(tornado.web.Application):
    def __init__(self, urls, configs):
        settings = configs
        handlers = urls
        super(CustomApplication, self).__init__(handlers, **settings)

def creat_server():
    print("starting server")
    tornado.options.parse_command_line()
    http_server = tornado.httpserver.HTTPServer(
        CustomApplication(urls, configs)
    )
    http_server.listen(options["port"])
    tornado.ioloop.IOLoop.instance().start()